:root {
  --margin-v: 1.618vh;
  --margin-h: 2px;
}
html, body {
  margin: 0;
  padding: 0;
}
body {
  margin: var(--margin-v) 0 0 var(--margin-h);
  background-color: white;
  color: black;
}
@media (prefers-color-scheme: dark) {
  body {
    background-color: #1a1a1a;
    color: white;
  }
  :visited {
    color: #ff97ff;
  }
  :link {
    color: #8ed5ff;
  }
}
pre {
  font-size: 16pt;
}
img {
  float: left;
  max-width: calc(100vw - (100vw - 100%) - var(--margin-h));
  /* disabled bc its flaky on tables
  max-height: calc(100vh - 2*var(--margin-v));
  */
  margin: 0 var(--margin-h) var(--margin-v) 0;
  padding: 0;
}
@media (min-width: 1000px) {
  :root {
    --margin-v: 1.618vw;
    --margin-h: 1.618vw;
  }
}
@media (min-width: 1200px) {
  img {
    max-width: calc((100vw  - (100vw - 100%) - 2*var(--margin-h)) / 2);
  }
}
@media (min-width: 1800px) {
  img {
    max-width: calc((100vw  - (100vw - 100%) - 3*var(--margin-h)) / 3);
  }
}
@media (min-width: 2400px) {
  img {
    max-width: calc((100vw  - (100vw - 100%) - 4*var(--margin-h)) / 4);
  }
}
img.selected {
  max-width: calc(100vw - (100vw - 100%) - 2*var(--margin-h));
  max-height: calc(100vh - 2*var(--margin-h));
}

@supports (grid-template-rows: masonry) {
  body {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(32rem, 1fr));
    grid-template-rows: masonry;
    gap: 1rem;
    margin: 1rem;
  }
  img:first-child,
  img[src*="-large."] {
    grid-column: span 2;
  }
  img {
    float: none;
    width: 100%;
    height: auto;
    display: block;
    max-width: none;
    max-height: none;
    margin: 0;
    padding: 0;
  }
  img.selected {
    max-width: none;
    max-height: none;
    grid-column: span 2;
  }
}
